libwpg: libwpg::WPGRect Class Reference documentation

# libwpg::WPGRect Class Reference

`#include <WPGRect.h>`

List of all members.

## Public Member Functions
| WPGRect ()
| WPGRect (double xx1, double yy1, double xx2, double yy2)
| WPGRect (const WPGRect &rect)
WPGRect & | operator= (const WPGRect &rect)
double | width () const
double | height () const
## Public Attributes
double | x1
double | y1
double | x2
double | y2

## Constructor & Destructor Documentation

libwpg::WPGRect::WPGRect | ( |  | ) |

libwpg::WPGRect::WPGRect | ( | double | xx1,
|  | double | yy1,
|  | double | xx2,
|  | double | yy2 |
| ) |  |  |

libwpg::WPGRect::WPGRect | ( | const WPGRect & | rect | ) |

## Member Function Documentation

libwpg::WPGRect & libwpg::WPGRect::operator= | ( | const WPGRect & | rect | ) |

double libwpg::WPGRect::width | ( |  | ) | const

Referenced by libwpg::WPGSVGGenerator::drawBitmap(), libwpg::WPGSVGGenerator::drawImageObject(), and libwpg::WPGSVGGenerator::drawRectangle().

double libwpg::WPGRect::height | ( |  | ) | const

Referenced by libwpg::WPGSVGGenerator::drawBitmap(), libwpg::WPGSVGGenerator::drawImageObject(), and libwpg::WPGSVGGenerator::drawRectangle().

## Member Data Documentation

double libwpg::WPGRect::x1

Referenced by libwpg::WPGSVGGenerator::drawBitmap(), libwpg::WPGSVGGenerator::drawImageObject(), libwpg::WPGSVGGenerator::drawRectangle(), WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), operator=(), WPG2TransformMatrix::transform(), and width().

double libwpg::WPGRect::y1

Referenced by libwpg::WPGSVGGenerator::drawBitmap(), libwpg::WPGSVGGenerator::drawImageObject(), libwpg::WPGSVGGenerator::drawRectangle(), WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), height(), operator=(), and WPG2TransformMatrix::transform().

double libwpg::WPGRect::x2

Referenced by WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), operator=(), WPG2TransformMatrix::transform(), and width().

double libwpg::WPGRect::y2

Referenced by WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), height(), operator=(), and WPG2TransformMatrix::transform().

The documentation for this class was generated from the following files:

- WPGRect.h
- WPGRect.cpp